"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjavascript' }"

"{ NameSpace: Smalltalk }"

Object subclass:#JavaScriptSimulatedBrowserEnvironment
	instanceVariableNames:''
	classVariableNames:'EventQueue'
	poolDictionaries:''
	category:'Languages-JavaScript-Framework'
!

!JavaScriptSimulatedBrowserEnvironment class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2018 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!JavaScriptSimulatedBrowserEnvironment class methodsFor:'initialization'!

initialize
    EventQueue := SharedQueue new:100.
! !

!JavaScriptSimulatedBrowserEnvironment methodsFor:'timeout handling'!

setTimeout:action _:seconds
    "in JavaScript, this is: 
        setTimeout( actionFunction , seconds)
    "
    
    Processor 
        addTimedBlock:[ EventQueue add:action ] 
        afterSeconds:seconds
! !

!JavaScriptSimulatedBrowserEnvironment class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !


JavaScriptSimulatedBrowserEnvironment initialize!
